# 数字化能力和机器人单元小结

by 陈弘轩



### 数字化能力

以前写科学文章的时候，我是用过 LaTeX 的，但特别难上手。

这节课上学过 Markdown 后，感受是 Markdown 的 programme syntax 要比 LaTeX 简单和方便多。



------



### 机器人单元

机器人方面我了解到参数化控制机器人技术带来的机遇，听过这节课的介绍后，我希望未来几节课能了解更多这方面的技术。

课后我马上把自己正在写的排版设计文章搬到 Typora 里从写一遍：



------

# 建九二班海报排版（周一）

建九二班海报排版学习已经顺利进行了一周，感谢接近二十位同学提交了海报!



## 前言

其实这个工作坊的目的是提供一个平台让同学们可以互相交流和欣赏海报设计，透过阅读教材和优秀海报设计范例，能培养平面设计的审美观。



> 那平面设计是什么呢？



平面设计是一个很专门的美术/设计学科。通过运用字体排印 (typography) 、插画 (illustration) 、以及摄影，平面设计师在视觉上向观看者传达信息。[^1]



> 跟我们建筑学生有什么关系？



建筑学生很多时候需要接触到平面设计。比如说，我们要出分析图和工图。如何把几个月的设计成果以赏心悦目的方式呈现，成为关键。

 

## 平面设计教学

以下我会抛砖引玉，介绍一下平面设计的名词。



------

### 网格系统 (Grid System)

网格系统的作用是产生视觉对齐 (Optical alignment) ，把不同的元素紧密结合起来，保持页面的一致性。[^2]也许我们没察觉过，无论是海报、小册子、报纸封面、还是小说里面的文字排面，也会出现网格。其实很多同学也在海报设计上用了，大家能察觉吗？

------

### 文字排印 (typography)

平面设计是为了传达信息，其中的一个重要媒介是文字。因此文字好不好看成为平面设计的重要指标。



1. 对比

   

> 没有比较，就没有伤害。



有大/小、粗/细、直/斜对比，才知道那些信息是重要的。



2. 字体 (typeface)

   

字体有上千万种（特别是英文字体），但在不同情况使用有不同效果，我们要因应场合使用不同文字。要注意：字体不是用得越多越好，通常用一种字体已经足够，两种以上就要小心，因为在不同字体之间切换会使阅读不流畅。单一字更能统一风格。



这次先说这么多吧，让我们马上参观这周的92班作业成品展览吧！



# 故事

你是建筑师。



一天，小明的老板要求小明设计一张海报，但他只会用小画家，觉得他太难了。小明想起自己有个当建筑师的朋友。



> 他应该是绘图高手吧？



所以就找你帮忙设计海报。



> 喂，對對對，我是小明。之前跟你說過，请你弄一张A3大小的海报。因为公司没有钱嘛，我们只可以设计单色海报（monochrome poster），比较便宜。。。什么？但单色海报也可以很好看，你要加油咯！颜色。。。em 。。。随便你挑：黑紅藍黃！你在表格里挑选一种语言，把文字放海报里。还有这里有一张插图，你文字插图觉得有用就用吧，不可以添加额外的文字和照片，麻烦大哥/大姐了！你最迟周日晚上发给我吧，平时有什么进展也都发在群里交流交流吧！」



| 英文版                                                       | 中文版                                                       |
| :----------------------------------------------------------- | ------------------------------------------------------------ |
| Job Fair                                                     | 招聘会                                                       |
| Choose a job you love and you will never have to work a day in your life. | 选择了一份喜欢的工作，您一生都不必再工作!                    |
| You are expected to meet top recruiters, find job opportunities, learn how to create top notch resumes and apply for internships. Grab the chance to start a new career and have an adventure. | 您能遇见顶尖的招聘人员，找到工作机会，学习如何创建顶尖的简历和申请实习。 抓住机会，开始新的职业吧。 |
| 17-18 Feb, 10am- 8pm<br/>Orange Hotel<br/>Jobfair Street 18<br/>New York | 2月17日至18日，上午10点至晚上8点<br/>奥兰治酒店<br/>乔布菲街18号<br/>纽约 |



# 展览



# 参考


[^1]: https://www.interaction-design.org/literature/topics/graphic-design

[^2]: https://www.canva.cn/learn/a-designers-checklist-for-designing-awesome-multi-page-layouts-15-must-know-tips/











