# MEE-CC07 学习笔记 Day 1

## 课程简介

- 师资力量强大
- 数字化能力基础（Markdown, Git, Python, JupyterLab）
- 智能算法基础（AI, TensorFlow）
- 智能硬件应用开发（Raspberry Pi）
- 面包板电路制作
- Cloud Linux & Web
- AI
- 机器人（AELOS）

## 数字化能力

- MediaWiki

MediaWiki是现在最经典的Wiki平台实现，使用PHP语言开发，可以在绝大多数平台上运行，并且基于GPLv2协议开源。著名的维基百科（Wikipedia）就是在这个平台上搭建的。

清华大学icenter官方wiki：<http://wiki.icenter.tsinghua.edu.cn>

- Markdown

目前最流行的纯文本式轻量标记语言，这篇文档就是用 Markdown 语言编写的。

- Git

源代码版本控制的事实标准。凭借对“分支”的理解与设计极大的改变了当前代码管理的思路，也是其成功的重要原因之一。

- GitHub

世界上最大的开放式源代码托管平台，是全球开源社区的中心。

- Graphviz DOT

著名的绘图工具包。内涵大量可靠快速的绘图算法和简明的绘图语言。其中的DOT语言可以绘制流程图、类型派生图、程序逻辑图等具有节点和链接的一类图。

- LaTeX

编写正式学术文档的通用语言。也可以在Markdown中使用来表达复杂的数学表达式。

## Python

```python
#这是注释

#加减乘除幂运算
1 + 2
2 - 3
3 / 4
4 * 5
5 ** 6

#变量定义与赋值
#动态类型语言，无需定义变量时指明类型
a = 1
#两种方式都可以表示字符串
s1 = 'str1'
s2 = "str2"

#逻辑表达
if a == 1:
    print("ko no dio da")
else:
    print("無駄無駄無駄無駄無駄")

for i in range(1,100):
    print("欧拉")

while a < 100:
    a = a+1

#函数
def fun1():
    print("fun1")

#main
if __name__ == '__main__':
    fun1()

```

## JupyiterLab

Jupyiter Notebook的继任者。可以理解为为Python开发提供的云平台，并且自带优良的可视化支持。目前已经成为了Python, R, Julia等语言的云计算平台的事实标准。

## Matplotlib

Python上著名的数据可视化库。

```python
# 官网的例子
import matplotlib.pyplot as plt
plt.plot([1, 2, 3, 4])
plt.ylabel('some numbers')
plt.show()

# 计算AUC
import numpy as np
import matplotlib.pyplot as plt
from matplotlib.patches import Polygon


def func(x):
    return (x - 3) * (x - 5) * (x - 7) + 85


a, b = 2, 9  # integral limits
x = np.linspace(0, 10)
y = func(x)

fig, ax = plt.subplots()
ax.plot(x, y, 'r', linewidth=2)
ax.set_ylim(bottom=0)

# Make the shaded region
ix = np.linspace(a, b)
iy = func(ix)
verts = [(a, 0), *zip(ix, iy), (b, 0)]
poly = Polygon(verts, facecolor='0.9', edgecolor='0.5')
ax.add_patch(poly)

ax.text(0.5 * (a + b), 30, r"$\int_a^b f(x)\mathrm{d}x$",
        horizontalalignment='center', fontsize=20)

fig.text(0.9, 0.05, '$x$')
fig.text(0.1, 0.9, '$y$')

ax.spines['right'].set_visible(False)
ax.spines['top'].set_visible(False)
ax.xaxis.set_ticks_position('bottom')

ax.set_xticks((a, b))
ax.set_xticklabels(('$a$', '$b$'))
ax.set_yticks([])

plt.show()
```

## AELOS机器人

一种可编程的人形机器人。具有较为友好的GUI编程环境支持（然而并不支持macOS）。
