# 学习总结

2019011274 严若天 5月29日

## 总述

​	今天主要学习了树莓派的使用，包括远程链接，编写代码实现一些功能等，我受益良多。树莓派的底层控制是相当友好的，只需导入GPIO库就可以直接用python操控，而且树莓派有很多接口，可以实现高度的自定义化，让我明白了它的魅力所在。在这节课，我主要用python编写了呼吸灯，按钮控制灯，计数器和传感器读取的程序。但是传感器程序的代码是在网上找的，暂时无法运行，可能是与实验中的不是同一个型号。其它三个实验都很成功。下面贴一下源代码。

## 呼吸灯

```python
import RPi.GPIO as GPIO
import time
GPIO.setwarnings(False)
GPIO.setmode(GPIO.BCM)
GPIO.setup(25,GPIO.OUT)
while True:
    GPIO.output(25,GPIO.HIGH)
    time.sleep(1)
    GPIO.output(25,GPIO.LOW)
    time.sleep(1)
```

## 按钮控制灯

```python
import RPi.GPIO as GPIO
import time
GPIO.setwarnings(False)
GPIO.setmode(GPIO.BCM)
GPIO.setup(25,GPIO.OUT)
GPIO.setup(24,GPIO.IN)
while True:
    inputValue = GPIO.input(24)
    if (inputValue == True):
        GPIO.output(25,GPIO.HIGH)
        time.sleep(1)
    else:
        GPIO.output(25,GPIO.LOW)
        time.sleep(0.01)
```

## 二进制计数器

```python
import RPi.GPIO as GPIO
import time
GPIO.setwarnings(False)
GPIO.setmode(GPIO.BCM)
GPIO.setup(23,GPIO.OUT)
GPIO.setup(24,GPIO.IN)
GPIO.setup(25,GPIO.OUT)
def show(n):
    GPIO.output(23,GPIO.LOW)
    GPIO.output(25,GPIO.LOW)
    if n%2==1:
        GPIO.output(25,GPIO.HIGH)
        n = n-1
    n=n/2
    if n%2==1:
        GPIO.output(23,GPIO.HIGH)
GPIO.output(23,GPIO.LOW)
GPIO.output(25,GPIO.LOW)
n=0
while True:
    if GPIO.input(24):
        n=n+1
        print(n)
        show(n)
        time.sleep(0.5)
    time.sleep(0.01)
```

## 湿度和温度的传感器

```python
import RPi.GPIO as GPIO
import time
channel = 26			#引脚号16
data = []			#温湿度值
j = 0				#计数器
GPIO.setmode(GPIO.BCM)		#以BCM编码格式
time.sleep(1)			#时延一秒
print("begin")
GPIO.setup(channel, GPIO.OUT)
GPIO.output(channel, GPIO.LOW)
time.sleep(0.02)		#给信号提示传感器开始工作
GPIO.output(channel, GPIO.HIGH)
GPIO.setup(channel, GPIO.IN)
while GPIO.input(channel) == GPIO.LOW:
    print("LOW")
    time.sleep(0.1)
while GPIO.input(channel) == GPIO.HIGH:
    continue
while j < 40:
	k = 0
	while GPIO.input(channel) == GPIO.LOW:
		continue
	while GPIO.input(channel) == GPIO.HIGH:
		k += 1
		if k > 100:
			break
	if k < 8:
		data.append(0)
	else:
		data.append(1)
	j += 1
print ("sensor is working.")
print (data)			#输出初始数据高低电平
humidity_bit = data[0:8]		#分组
humidity_point_bit = data[8:16]
temperature_bit = data[16:24]
temperature_point_bit = data[24:32]
check_bit = data[32:40]
humidity = 0
humidity_point = 0
temperature = 0
temperature_point = 0
check = 0
for i in range(8):
	humidity += humidity_bit[i] * 2 ** (7 - i)				#转换成十进制数据
# a=a+1-> a+=1
	humidity_point += humidity_point_bit[i] * 2 ** (7 - i)
	temperature += temperature_bit[i] * 2 ** (7 - i)
	temperature_point += temperature_point_bit[i] * 2 ** (7 - i)
	check += check_bit[i] * 2 ** (7 - i)
tmp = humidity + humidity_point + temperature + temperature_point		#十进制的数据相加
if check == tmp:								#数据校验，相等则输出
	print ("temperature : ", temperature, ", humidity : " , humidity)
else:										#错误输出错误信息，和校验数据
	print ("wrong")
	print ("temperature : ", temperature, ", humidity : " , humidity, " check : ", check, " tmp : ", tmp)
GPIO.cleanup()									#重置针脚
```

这个学期马上就要结束了，这门课也让我收获良多。感谢老师和助教们一直以来的耐心教导！